# Arcanima mod projects
Some of Arcanima's code, mostly the parts written by me. Not much documentation
is provided, but you can send private message to @bensku (SO channel) in Discord.
Some information is provided here to get you started :)

## Globals
You need to require <code>globals_require</code> for dot notation (until 0.3.5).
Then you should require at least actions and conditions from globals. Rest are
optional, in case you need them.

## Modular AI and Scriptlet Host
Allows multiple AI scripts to run in single Lua module. It comes with some
actually usable modules, mainly the dialogue one. Currently there is no tutorial
outside of our private wiki - if asked I can export it to PDF and send send.

Scriptlet host is backed for modular AI system. Take look at <code>ai_modular</code>
to learn how it is used.

## Relation System
Allows complex relations for NPCs with players or other NPCs. Untested and probably
buggy AI module for aggroing with too low relation value is provided.

As with modular AI, if you are interested please ask me to export docs for you
in PDF format.

## NPC editor
This one is more practical, if it works.
1. Make sure you have scriptcommands working (explained below)
2. Configure correct mod path in <code>editor/npcs.lua</code>
3. Type /editor ingame with god/admin character

While it lacks some features, it should be quite helpful even now.

## Scriptcommands
You need to require all script command files (<code>scriptcommands/UI_*</code>)
in <code>scriptcommands</code>. Commands provided:
* /editor for opening editor
* /effectwindow
* /newpath and /savepath <name> (you need to point it to correct directory)
