--- destroy all werebeasts
werecommands={

purgeall = function()
			local cursedlist=FindObjects(SearchModule("werebeast"))
			local werewolflist=FindObjects(SearchModule("werewolf_ready"))
			for i,v in ipairs(cursedlist) do
				v:Destroy()
			end
			for i,v in ipairs(werewolflist) do
				v:Destroy()
			end
			ServerBroadcast((#cursedlist+#werewolflist) .. " werebeasts and cursed ones purged", true)
		end,

curse=function()
	this:RequestClientTargetGameObj(this, "WereCurse")
	end,

release=function()
	this:RequestClientTargetGameObj(this,"WereRelease")
end,

handlecurse = function(target, user)
			if target:AddModule("werebeast") then 
				user:SystemMessage("You handed "..tostring(target:GetName()).." over to the Beastlords.")
			else
				user:SystemMessage("Something went wrong with the curse.")
			end
	end, 

handlerelease = function(target, user)
	target:SendMessage("LiftCurse")
	user:SystemMessage("You released "..tostring(target:GetName()).." from the Beastlords grip")
end 
}
RegisterCommand{ Command="Purge Weres",  AccessLevel = AccessLevel.God, Func=werecommands.purgeall, Desc="Destroys all Werebeasts" }
RegisterCommand{ Command="Were Curse",   AccessLevel = AccessLevel.God, Func=werecommands.curse, Desc="Bless this one with the curse of the Beastlords" }
RegisterCommand{ Command="Were Release", AccessLevel = AccessLevel.God, Func=werecommands.release, Desc="Remove the curse of the Beastlords" }

RegisterEventHandler(EventType.ClientTargetGameObjResponse, "WereCurse", 	werecommands.handlecurse)
RegisterEventHandler(EventType.ClientTargetGameObjResponse, "WereRelease", werecommands.handlerelease)
	