--****************************************************************************
-- Teiravon Script
-- www.Teiravon.com
-- This file is a tutorial and example file to help the community grow and
-- learn. This script is free to use for anyone who wants to put it to use.
-- You have my permission to use this file as is, or edit it and take bits
-- for your own use. However please be respectful of the creator and give 
-- credit were credit is due.
-- Created By: Abbalar
--****************************************************************************
-- FILE LAST UPDATED: Sunday, June 5th, 2016.
--

--// SHADOWSTALK VARIABLES---------------------------

--This adjusts the damage the ability does, and it does it by perctange default is 10% of targets health.
ShadowDMG = 10

--This Adjusts the amount of bleed damage they take over time.
BLEED_REGEN_MOD = -1

--Sets the the amount of time in seconds that the bleed will last for.
BLEED_DUR = 10

--// SHADOWSTALK ABILITY-----------------------------

--Starts the Ability
function StartShadowStalk()
if(this:IsPlayer()) then
local target = this:GetObjVar("CurrentTarget")
	if(this:HasObjVar("AutotargetEnabled") and target ~= nil) then
		DoStalk(target)
	else
		this:SystemMessage("[08FFFF] Choose your victim!")
		this:RequestClientTargetGameObj(this, "SelectVictim")
	end
else
	if(target ~=nil) then
		DoStalk(target)
	else
		ModuleCleanUp()
		return
	end
end
	--Sets timer to remove the module from player.
	this:ScheduleTimerDelay(TimeSpan.FromSeconds(20),"StalkRemoveTimer")
end


--Triggers the abilitys effects.
function DoStalk(target)
	local DMG = SSDMG()
	local TargHealth = target:GetCurHealth()
	--Turns damage into a precentile based damage based upon the enemys health pool.
	local DMGTOTAL = DMG / 100 * TargHealth
	if(target:GetObjVar("actualName") == (this:GetObjVar("actualName"))) then
		this:SystemMessage("[fa0c0c] You are unable to stab yourself in the back... this time.")
		return
	end
	if(target:IsValid() and target:IsMobile() and (not IsDead(target)) and (this:HasLineOfSightToObj(target,LOS_EYELEVEL))) then
		this:PlayObjectSound("DeathCannon")
		PlayEffectAtLoc("DustwaveEffect",this:GetLoc())
		this:PlayEffect("SlowEffect", 1)
		MoveToBehindTarg(target)
		this:SendMessage("RemoveInvisEffect", "ska_stealth")
		this:SendMessage("RemoveMoveSpeedEffectMessage", "ska_stealth")
		PlayEffectAtLoc("DustwaveEffect",this:GetLoc())
		this:FaceObject(target,target)
		this:PlayAnimation("impale")
		target:AddModule("Ab_Rog_ShadowStalk_Effect")
		target:SystemMessage("[F7CC0A] You begin to bleed profusely!")
		target:RequestAddStatMod("HealthRegenMod", "StalkEffect", "Bonus", BLEED_REGEN_MOD)
		target:ScheduleTimerDelay(TimeSpan.FromSeconds(BLEED_DUR),"BleedEffectDuration")
		target:PlayEffect("BloodEffect_A")
		target:PlayEffect("BloodDropsEffect")
		this:SendMessage("DelayNextSwing", 0.4)
		this:PlayObjectSound("WarhammerImpactPlate")
		target:SendMessage("DamageInflicted",this,DMGTOTAL,false)
		
	else
		ModuleCleanUp()
	end
end


-- This places your character behind your target.
function MoveToBehindTarg(target)
	if(target:IsValid() and target:IsMobile() and not IsDead(target)) then
		if(target:IsCloaked() and (not ShouldSeeCloakedObject(this, spellTarget))) then
			this:SystemMessage("[fa0c0c] You cannot see that.[-]")
			this:FireTimer("StalkRemoveTimer")
			return
		end
		mTarget = target
		local tFace = target:GetFacing()
		local tLoc = target:GetLoc()
		local newLoc = tLoc:Project(tFace, -1.5)
		this:SetWorldPosition(newLoc)
	else
		ModuleCleanUp()
	end

end

--// EXTRA FUNCTIONS --------------------------------

-- This Calculates the damage based upon skill. Skills cap at 50, so the max number this can be with a default of 10
-- is 50. So at maximum level 50% of a units health will be taken.
function SSDMG()
	local skillLevel = this:GetSkillLevel("RogueSkill")
	local StalkBonus = skillLevel / 10
	return StalkBonus * ShadowDMG
end

--Removes script from player.
function ModuleCleanUp()
	this:DelModule("Ab_Rog_ShadowStalk")
end

--// EVENTS -----------------------------------------

--Required to start the script. The Ability information you set in data_combat_abilites triggers this script and attachs
--it to the player. Once attached the below line of code will trigger the first function to get the ability running.
RegisterEventHandler(EventType.Message, "Ab_Rog_ShadowStalk_init", StartShadowStalk)


--Command sent to the client to trigger the targeting process, along with the function to trigger upon using it.
RegisterEventHandler(EventType.ClientTargetGameObjResponse, "SelectVictim", DoStalk)

--Removes module once timer is up.
RegisterEventHandler(EventType.Timer, "StalkRemoveTimer", ModuleCleanUp)

--Triggers once the player has died to remove the Module.
RegisterEventHandler(EventType.Message, "HasDiedMessage", 
	function()
		ModuleCleanUp()
	end)