<?php
/***************************************************************************************************************\
* Aldor III. Translation for file /scripts/data_combat_abilities.lua											*
* 																												*
* - 2016/09/13 Sacha: start of development.																		*
\***************************************************************************************************************/

// Define the path to the file we will translate and the file where we will save the results
$file_origin = "./base/scripts/data_combat_abilities.lua";
$file_translation = "./base/scripts/data_combat_abilities_translated.lua";

// Define original and translated strings as arrays
// Customize the array $t[] for your own language and lore
$o = array(); $t = array();
// General strings
$o[] = "Type: Instant"; $t[] = "Tipo: instantáneo";
$o[] = "Type: Triggered"; $t[] = "Tipo: activado";
$o[] = "Requirement: Blocking"; $t[] = "Requisito: en parada";
$o[] = "Requirement: Recently Dodged or Parried"; $t[] = "Requisito: acabas de esquivar o parar.";
// Abilities that have Display Names (in quotes to avoid replacing wrong ocurrences)
$o[] = "\"Charge\""; $t[] = "\"Cargar\"";
$o[] = "Charge toward target at increased speed, increasing damage for next attack by 20-40% , crit chance by 10% and stunning the target for 1 second. (Resets Swing)"; $t[] = "Cargas a toda velocidad contra el objetivo, incrementando el daño del siguiente ataque en 20-40%, la probabilidad de crítico en 10%, y aturdiendo al oponente durante 1 segundo. (Resetea el movimiento de ataque)";
$o[] = "\"Force Stab\""; $t[] = "\"Estocada\"";
$o[] = "Stab your enemy with all your might, knocking them back."; $t[] = "Acuchillas a tu enemigo con toda tu fuerza, derribándolo.";
$o[] = "\"Shield Bash\""; $t[] = "\"Ataque de escudo\"";
$o[] = "Slam your shield into your opponent while in the blocking state, dealing 70-120% of shield damage and	staggering the target."; $t[] = "Golpeas con tu escudo a tu oponente tras parar sus golpes, causando 70-120% del daño de escudo, y desestabilizando al objetivo.";
$o[] = "\"Shockwave\""; $t[] = "\"Onda de choque\"";
$o[] = "Throw your weapon into the ground with unbelievable force, pushing everything near you away and dealing damage (Resets Swing)"; $t[] = "Lanzas tu arma al suelo con increíble fuera, empujando a todo el que esté cerca y causando daño. (Resetea el movimiento de ataque)";
$o[] = "\"Wideswipe\""; $t[] = "\"Barrido\"";
$o[] = "Slice across your opponents in an area of effect in front of you, dealing damage to each of them."; $t[] = "Lanzas un golpe trazando un arco enfrente tuya, causando daño a todos los oponentes en el área.";
$o[] = "\"Spin Attack\""; $t[] = "\"Torbellino\"";
$o[] = "Spin around yourself, dealing damage to everything around you"; $t[] = "Giras sobre ti mismo, causando daño a todo el que esté a tu alrededor.";
$o[] = "\"Cross Cut\""; $t[] = "\"Tajo cruzado\"";
$o[] = "A counter attack executed by performing a sidestep and slicing cut at opponent."; $t[] = "Un contraataque ejecutado mediante un paso lateral seguido de un tajo cortante al objetivo.";
$o[] = "\"Driving Strike\""; $t[] = "\"Contra de despido\"";
$o[] = "A counter attack executed by a stepping into an opponent's strike and delivering a quick strike to knock them back."; $t[] = "Un contraataque que se ejecuta penetrando en el movimiento de ataque del adversario y propinando un golpe rápido para desestabilizarlo.";
// Abilities that have no display name (we have to add it)
$o[] = "Increases attack speed significantly for 3-5 attacks. The last attack is slowed greatly. During Flurry, damage is decreased by 7-35% for the fast attacks\","; $t[] = "Incrementa significativamente la velocidad de ataque durante 3 a 5 ataques. El último ataque se hace muy lento. Durante la ráfaga, el daño de los ataques se reduce en 7-35%.\",\n\t\t\tDisplayName = \"Ráfaga\",";
$o[] = "Perform a quick swing followed by a heavy attack. (Resets Swing)\","; $t[] = "Realiza un tajo veloz seguido de un fuerte ataque. (Resetea el movimiento de ataque)\",\n\t\t\tDisplayName = \"Balestra\",";
$o[] = "A special attack will that deals slightly reduced damage 10-30% and applies \\\"Sundered Armor\\\" to the target, increasing penetration of attacks the target receives. (Resets Swing)\","; $t[] = "Un ataque especial que produce daño reducido en 10-30% pero aplica \\\"Brecha en armadura\\\" al blanco, incrementando la penetración de los ataques que el objetivo recibe. (Resetea el movimiento de ataque)\",\n\t\t\tDisplayName = \"Brecha\",";
$o[] = "A powerful blow dealing 20-35% bonus damage to the target.\","; $t[] = "Un poderoso golpe que causa un 20-35% más de daño al objetivo.\",\n\t\t\tDisplayName = \"Machacar\",";
$o[] = "Viciously wrenches your blade after striking your target causing the wound to bleed for a short time and all healing to be reduced by 50%.\","; $t[] = "Retuerce tu hoja tras herir al objetivo, haciendo que la herida sangre copiosamente por unos instantes y reduciendo cualquier curación al 50%.\",\n\t\t\tDisplayName = \"Desgarrar\",";
$o[] = "A strong attack driving your weapon into your opponent, causing their next attacks to be slower and deal less damage.\","; $t[] = "Un fuerte ataque perforante con tu arma dirigida a tu oponente, que hace que sus siguientes ataques sean más lentos y causen menos daño.\",\n\t\t\tDisplayName = \"Empalar\",";
$o[] = "Increases success and effectiveness of defensive abilities, such as parry, block and dodge.\","; $t[] = "Incrementa el éxito y la efectividad de las habilidades defensivas, como desviar, parar o esquivar.\",\n\t\t\tDisplayName = \"Defensa\",";
$o[] = "An attack that stretches to reach target, temporarily increasing attack range for one attack. This attack has damage reduced by 25-50%. (Resets Swing)\","; $t[] = "Un ataque en el que te estiras para alcanzar al blanco, incrementando tu rango de ataque para ese golpe. Este ataque causa un daño reducido en 25-50%. (Resetea el movimiento de ataque)\",\n\t\t\tDisplayName = \"Lanzada\",";
$o[] = "Increases damage of next attack slightly, and increases crit chance to 100%. Bleed damage is doubled.\","; $t[] = "Incrementa ligeramente el daño del siguiente ataque, y la probabilidad de crítico al 100%. El daño por pérdida de sangre se dobla.\",\n\t\t\tDisplayName = \"Destripar\",";
$o[] = "Increases attack speed slightly 2-7 seconds decreases attack speed slightly for 5 seconds after. Crit Chance is set to 100%\","; $t[] = "Incrementa la velocidad de ataque ligeramente durante 2-7 segundos, reduciéndola luego durante 5 segundos. La probabilidad de crítico es del 100%\",\n\t\t\tDisplayName = \"Perforar\",";
$o[] = "A strong attack targeting the weak points in the opponents armor. \","; $t[] = "Un ataque preciso dirigido a los puntos débiles de la armadura del oponente.\",\n\t\t\tDisplayName = \"Punción\",";
$o[] = "Attempts to strike the target with the handle of the current weapon dealing 30-50% damage after a successful parry or dodge.\","; $t[] = "Intentas golpear al objetivo con el pomo de tu arma causando un 30-50% del daño, tras esquivar o parar un golpe con éxito.\",\n\t\t\tDisplayName = \"Pomo\",";
$o[] = "A counter attack execued by a quick thrust through an opponent's guard.\","; $t[] = "Un contraataque ejecutado mediante un rápido impulso que atraviesa la guardia del oponente.\",\n\t\t\tDisplayName = \"Arresto\",";
$o[] = "Taunt your opponent, causing him to focus on you.\","; $t[] = "Provocas a tu oponente, haciendo que se concentre en ti.\",\n\t\t\tDisplayName = \"Provocar\",";
$o[] = "Doubles dodge chance for 2-7 seconds then reduces stamina regeneration by 50% for 5 seconds.\","; $t[] = "Dobla la probabilidad de esquivar durante 2-7 segundos, a costa de reducir luego la regeneración de energía en un 50% durante 5 segundos.\",\n\t\t\tDisplayName = \"Evasión\",";
$o[] = "While cloaked, quickly step behind your target and stab them in the back.\","; $t[] = "Mientras estás oculto, te deslizas rápidamente por detrás del objetivo y le apuñalas por la espalda.\",\n\t\t\tDisplayName = \"Apuñalar\",";
$o[] = "Increases your run speed at the expense of your stamina.\","; $t[] = "Incrementa tu velocidad corriendo a costa de tu energía.\",\n\t\t\tDisplayName = \"Sprint\",";
?>
